明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1858|回复: 5

如何用LISP来旋转图块的属性值?

[复制链接]
发表于 2002-10-15 20:44:00 | 显示全部楼层 |阅读模式
图中插入一个块,块有属性。现在想让属性值旋转一个角度,要怎样实现,请各位大侠帮忙!:)
发表于 2002-10-16 09:03:00 | 显示全部楼层

供參考!!

;;VxAlignAtts - Rotates all attributes of a block to n?/font>
;; -- Function VxAlignAtts
;; Rotates all attributes of a block to n?
;; Copyright:
;;   ?000 MENZI ENGINEERING GmbH, Switzerland
;; Arguments [Typ]:
;;   Obj = Object [VLA-OBJECT]
;;   Ang = Angle (Radians) [REAL]
;; Return [Typ]:
;;   > Null
;; Notes:
;;   None
;;
(defun VXALIGNATTS (OBJ ANG)
  (mapcar
    '(lambda (ATT) (vla-put-rotation ATT ANG))
    (vlax-invoke OBJ "GetAttributes")
  )
  (vla-update OBJ)
  (princ)
)
(defun DTR (X) (* pi (/ X 180.0)))

;;UsageVXALIGNATTS  (vlax-ename->vla-object (car (entsel))) (DTR 30))
 楼主| 发表于 2002-10-21 20:31:00 | 显示全部楼层

谢谢了!我试试看,非常感谢!

发表于 2006-3-22 23:10:00 | 显示全部楼层
不明白,哪里可以查到vla和vlax的资料?


发表于 2012-1-12 08:56:06 | 显示全部楼层
这个好像有点问题啊,只能转90度以下,而且第二次调用程序的话,原来旋转过后的属性文字又恢复原来角度。不管旋转多少度。
发表于 2024-8-25 22:35:49 | 显示全部楼层
感觉这个帖子应该和我看到的这个有相通之处!
[源码+教程]使用动态块函数简化AutoLisp参数设计编程
http://bbs.mjtd.com/forum.php?mo ... &fromuid=418631
(出处: 明经CAD社区)
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-25 08:50 , Processed in 0.184185 second(s), 26 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表